Bug 1158640 - (ciphertest) Review Request: ciphertest - An SSL cipher checker
Review Request: ciphertest - An SSL cipher checker
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian "der-flo" Lehner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2014-10-29 15:01 EDT by Fabian Affolter
Modified: 2014-12-06 05:21 EST (History)
2 users (show)

See Also:
Fixed In Version: ciphertest-0.1.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-22 07:35:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2014-10-29 15:01:39 EDT
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/ciphertest.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/ciphertest-0.1.1-1.fc20.src.rpm

Project URL: https://github.com/OpenSecurityResearch/ciphertest

Description:
cipherTest.sh is an SSL cipher checker in that it uses gnutls, which has
support for many more configurations than openssl. It tests potentially 
~3,200 different configurations but does some pre-optimization so that
it minimizes "failed" checks.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7978056

rpmlint output:
[fab@localhost SRPMS]$ rpmlint ciphertest-0.1.1-1.fc20.src.rpm 
ciphertest.src: W: spelling-error %description -l en_US gnutls -> gnus
ciphertest.src: W: spelling-error %description -l en_US openssl -> slope
ciphertest.src: W: spelling-error %description -l en_US pre -> per, ore, pee
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[fab@localhost noarch]$ rpmlint ciphertest-0.1.1-1.fc20.noarch.rpm 
ciphertest.noarch: W: spelling-error %description -l en_US gnutls -> gnus
ciphertest.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
ciphertest.noarch: W: no-manual-page-for-binary ciphertest
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab
Comment 1 Florian "der-flo" Lehner 2014-10-29 16:07:38 EDT
Hi Fabian!

Please append '#/%{name}-%{version}.tar.gz' to Source0, to get a properly named source-tarball. A file named v%{version}.tar.gz might be anything and might cause troubles because of it's non-unique naming-scheme.

Everything else looks good as always.

Cheers,
 Flo
Comment 2 Fabian Affolter 2014-10-29 18:00:24 EDT
(In reply to Florian "der-flo" Lehner from comment #1)
> Please append '#/%{name}-%{version}.tar.gz' to Source0, to get a properly
> named source-tarball. A file named v%{version}.tar.gz might be anything and
> might cause troubles because of it's non-unique naming-scheme.

This's nice. It seems that I miss this possibility about Source0. 

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/ciphertest.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/ciphertest-0.1.1-2.fc20.src.rpm
Comment 3 Florian "der-flo" Lehner 2014-10-30 14:44:13 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)". Detailed output of licensecheck in
     /home/flo/review/1158640-ciphertest/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7983952
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ciphertest-0.1.1-2.fc22.noarch.rpm
          ciphertest-0.1.1-2.fc22.src.rpm
ciphertest.noarch: W: spelling-error %description -l en_US gnutls -> gnus
ciphertest.noarch: W: spelling-error %description -l en_US openssl -> slope
ciphertest.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
ciphertest.noarch: W: no-manual-page-for-binary ciphertest
ciphertest.src: W: spelling-error %description -l en_US gnutls -> gnus
ciphertest.src: W: spelling-error %description -l en_US openssl -> slope
ciphertest.src: W: spelling-error %description -l en_US pre -> per, ore, pee
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ciphertest
ciphertest.noarch: W: spelling-error %description -l en_US gnutls -> gnus
ciphertest.noarch: W: spelling-error %description -l en_US openssl -> slope
ciphertest.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
ciphertest.noarch: W: no-manual-page-for-binary ciphertest
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
ciphertest (rpmlib, GLIBC filtered):
    /usr/bin/bash
    bash(x86-64)
    gnutls-utils(x86-64)
    openssl(x86-64)



Provides
--------
ciphertest:
    ciphertest



Source checksums
----------------
https://github.com/OpenSecurityResearch/ciphertest/archive/v0.1.1.tar.gz#/ciphertest-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : e1e9bf4ee9a47aa36643f96145b80a9124d6046636c60a66de5c20ee0bce8b8e
  CHECKSUM(SHA256) upstream package : e1e9bf4ee9a47aa36643f96145b80a9124d6046636c60a66de5c20ee0bce8b8e


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1158640
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED
Comment 4 Fabian Affolter 2014-10-30 15:49:08 EDT
Thanks for the review.
Comment 5 Fabian Affolter 2014-10-30 16:36:12 EDT
New Package SCM Request
=======================
Package Name: ciphertest
Short Description: An SSL cipher checker
Upstream URL: https://github.com/OpenSecurityResearch/ciphertest
Owners: fab 
Branches: f20 f21 epel7 el6
InitialCC:
Comment 6 Gwyn Ciesla 2014-11-03 09:04:32 EST
Git done (by process-git-requests).
Comment 7 Fabian Affolter 2014-11-07 02:41:36 EST
I get this error

$ fedpkg clone ciphertest
Cloning into 'ciphertest'...
fatal: '/srv/git/rpms//ciphertest.git' does not appear to be a git repository
fatal: Could not read from remote repository.

Can somebody please check if something went wrong? Thanks.
Comment 8 Gwyn Ciesla 2014-11-07 08:02:00 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-11-07 08:44:06 EST
ciphertest-0.1.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ciphertest-0.1.1-2.fc21
Comment 10 Fedora Update System 2014-11-07 08:57:54 EST
ciphertest-0.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ciphertest-0.1.1-2.fc20
Comment 11 Fedora Update System 2014-11-07 09:22:10 EST
ciphertest-0.1.1-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ciphertest-0.1.1-2.el7
Comment 12 Fedora Update System 2014-11-07 09:33:02 EST
ciphertest-0.1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ciphertest-0.1.1-2.el6
Comment 13 Fedora Update System 2014-11-09 10:43:03 EST
Package ciphertest-0.1.1-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ciphertest-0.1.1-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3906/ciphertest-0.1.1-2.el7
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-11-11 09:53:27 EST
ciphertest-0.1.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ciphertest-0.1.1-3.el6
Comment 15 Fedora Update System 2014-11-22 07:35:30 EST
ciphertest-0.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2014-11-30 14:14:14 EST
ciphertest-0.1.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-11-30 14:15:31 EST
ciphertest-0.1.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-12-06 05:21:54 EST
ciphertest-0.1.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.